<h2>Methods run, sorted chronologically</h2><h3>&gt;&gt; means before, &lt;&lt; means after</h3><p/><br/><em>Default suite</em><p/><small><i>(Hover the method name to see the test class name)</i></small><p/>
<table border="1">
<tr><th>Time</th><th>Delta (ms)</th><th>Suite<br>configuration</th><th>Test<br>configuration</th><th>Class<br>configuration</th><th>Groups<br>configuration</th><th>Method<br>configuration</th><th>Test<br>method</th><th>Thread</th><th>Instances</th></tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:41</td>   <td>0</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;loginTest.beforeClassMethod()[pri:0, instance:com.testng.loginTest@3541cb24]">&gt;&gt;beforeClassMethod</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:45</td>   <td>3846</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;loginTest.beforeCustomer()[pri:0, instance:com.testng.loginTest@3541cb24]">&gt;&gt;beforeCustomer</td> 
<td>&nbsp;</td>  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:45</td>   <td>3852</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="loginTest.login()[pri:0, instance:com.testng.loginTest@3541cb24]">login</td> 
  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:46</td>   <td>5180</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;loginTest.afterCustomer()[pri:0, instance:com.testng.loginTest@3541cb24]">&lt;&lt;afterCustomer</td> 
<td>&nbsp;</td>  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:46</td>   <td>5196</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&gt;&gt;loginTest.beforeCustomer()[pri:0, instance:com.testng.loginTest@3541cb24]">&gt;&gt;beforeCustomer</td> 
<td>&nbsp;</td>  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:46</td>   <td>5199</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="loginTest.addToCart()[pri:0, instance:com.testng.loginTest@3541cb24]">addToCart</td> 
  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:51</td>   <td>9559</td> <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;loginTest.afterCustomer()[pri:0, instance:com.testng.loginTest@3541cb24]">&lt;&lt;afterCustomer</td> 
<td>&nbsp;</td>  <td>main@263885523</td>   <td></td> </tr>
<tr bgcolor="bc8d9f">  <td>23/01/18 09:28:51</td>   <td>9563</td> <td>&nbsp;</td><td>&nbsp;</td><td title="&lt;&lt;loginTest.afterClassMethod()[pri:0, instance:com.testng.loginTest@3541cb24]">&lt;&lt;afterClassMethod</td> 
<td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>  <td>main@263885523</td>   <td></td> </tr>
</table>
